package cn.com.qmth.examcloud.core.reports.api.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.base.bean.StudentCumulativeCountBean;
import cn.com.qmth.examcloud.core.reports.service.StudentCumulativeCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@RestController
@Api(tags = "学生累计在线人数")
@RequestMapping("${$rmp.ctr.reports}/" + "studentCumulativeCount")
public class StudentCumulativeCountController extends ControllerSupport {
	@Autowired
	private StudentCumulativeCountService studentCumulativeCountService;

	@GetMapping("/getLastNdayOnlineCount")
	@ApiOperation(value = "获取近N日在线人数")
	public List<StudentCumulativeCountBean> getLastNdayOnlineCount(@RequestParam @ApiParam(value = "nday 1~100") Integer nday) {
		return studentCumulativeCountService.getLastNdayOnlineCount(nday);
	}
}