package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.api.StudentCumulativeCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.response.SaveStudentCumulativeCountResp;
import cn.com.qmth.examcloud.core.reports.service.StudentCumulativeCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "学生累计在线人数接口")
@RequestMapping("${$rmp.cloud.reports}/studentCumulativeCount")
public class StudentCumulativeCountCloudServiceProvider extends ControllerSupport implements StudentCumulativeCountCloudService {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3673284538600937213L;
	@Autowired
	private StudentCumulativeCountService studentCumulativeCountService;

	@ApiOperation(value = "计算累计在线人数")
    @PostMapping("/saveCount")
	@Override
	public SaveStudentCumulativeCountResp saveCount() {
		studentCumulativeCountService.saveCount();
		return new SaveStudentCumulativeCountResp();
	}
}
